* {
	margin: 0;
	padding: 0;
}

html {
	position: relative;
	width: 100vw;
	height: 100vh;
}

body {
	font-family: -apple-system, Helvetica, Arial, sans-serif;
	font-size: 16px;
	background: linear-gradient(to right bottom, #f06b7e 0%, #f3826f 50%, #f9a856 100%);
	color: #ffffff;
}


.t0 {
	background: linear-gradient(to right bottom, #040b3c 0%, #031244 50%, #012459 100%);
}
.t1 {
	background: linear-gradient(to right bottom, #001322 0%, #012459 100%);
}
.t2 {
	background: linear-gradient(to right bottom, #001322 0%, #012459 100%);
}
.t3 {
	background: linear-gradient(to right bottom, #00182b 0%, #004372 100%);
}
.t4 {
	background: linear-gradient(to right bottom, #00182b 0%, #016792 100%);
}
.t5 {
	background: linear-gradient(to right bottom, #042c47 0%, #07729f 100%);
}
.t6 {
	background: linear-gradient(to right bottom, #07506e 0%, #12a1c0 100%);
}
.t7 {
	background: linear-gradient(to right bottom, #1386a6 0%, #74d4cc 100%);
}
.t8 {
	background: linear-gradient(to right bottom, #61d0cf 0%, #efeebc 100%);
}
.t9 {
	background: linear-gradient(to right bottom, #a3dec6 0%, #aadebd 40%, #ccdf93 60%, #fee154 100%);
}
.t10 {
	background: linear-gradient(to right bottom, #e8ed92 0%, #eee180 50%, #fdc352 100%);
}
.t11 {
	background: linear-gradient(to right bottom, #ffe467 0%, #ffd669 50%, #ffac6f 100%);
}
.t12 {
	background: linear-gradient(to right bottom, #ffe467 0%, #febe5f 50%, #fda65a 100%);
}
.t13 {
	background: linear-gradient(to right bottom, #fd9e58 0%, #feb15c 50%, #ffe467 100%);
}
.t14 {
	background: linear-gradient(to right bottom, #fd9e58 0%, #feb15c 50%, #ffe467 100%);
}
.t15 {
	background: linear-gradient(to right bottom, #fd9e58 0%, #feb15c 50%, #ffe467 100%);
}
.t16 {
	background: linear-gradient(to right bottom, #fd9e58 0%, #feb15c 50%, #ffe467 100%);
}
.t17 {
	background: linear-gradient(to right bottom, #f18448 0%, #f5994f 50%, #ffd364 100%);
}
.t18 {
	background: linear-gradient(to right bottom, #f06b7e 0%, #f3826f 50%, #f9a856 100%);
}
.t19 {
	background: linear-gradient(to right bottom, #f06b7e 0%, #f3826f 50%, #f4896b 100%);
}
.t20 {
	background: linear-gradient(to right bottom, #ca5a92 0%, #da6d82 50%, #f4896b 100%);
}
.t21 {
	background: linear-gradient(to right bottom, #5b2c83 0%, #894186 50%, #d1628b 100%);
}
.t22 {
	background: linear-gradient(to right bottom, #371a79 0%, #4f257d 50%, #713684 100%);
}
.t23 {
	background: linear-gradient(to right bottom, #192861 0%, #202666 50%, #372074 100%);
}

main {
	opacity: 0;
	transition: opacity 0.5s;
}

section {
	text-align: center;
}

footer {
	text-align: center;
	font-size: 14px;
	font-weight: 300;
	position: absolute;
	bottom: 3vh;
	width: 100%;
}

#info {
	text-align: right;
	margin: 0px 10px;
}

#temperature {
	font-size: 20vh;
	text-align: center;
	height: 20vh;
	line-height: 20vh;
	min-height: 20vh;
	font-weight: 300;
	margin-top: 10vh;
	margin-bottom: 5vh;
}

#condition {
	margin-bottom: 5vh;
	font-size: 8vh;
}

#values {
	height: 10vh;
	line-height: 10vh;
}

#values > .value {
	height: 30px;
	line-height: 30px;
	font-size: 28px;
	margin: 2vh 3vw;
	text-align: right;
	display: inline-block;
}
#values > .value > span.unit {
	font-size: 16px;
	font-weight: 300;
}

#forecast {
	background: rgba(255,255,255,0.08);
	padding: 10px 0px;
	position: absolute;
	bottom: 16vh;
	width: 100%;
}
#forecast > ul {
	list-style: none;
}
#forecast > ul > li {
	display: inline-block;
	margin: 0 5vw;
}
#forecast .day {
	font-weight: 300;
	font-size: 14px;
	margin: 5px 0px;
}
#forecast .temperature {
	font-size: 18px;
	margin: 5px 0px;
	font-weight: 400;
}
#forecast .condition {
	font-size: 18px;
}

#error {
	display: none;
}

.btn-retry {
	appearance: none;
	padding: 0.25rem 0.5rem;
	border: 1px solid #ffffff;
	border-radius: 3px;
	background: none;
	color: #ffffff;
	margin: 1rem;
}

#loader {
	position: fixed;
	top: 50%;
	left: 50%;
	margin-left: -0.75rem;
	margin-top: -0.75rem;
	box-sizing: border-box;
	border-width: 4px;
	border-style: solid;
	border-left-color: transparent;
	border-top-color: #ffffff;
	border-right-color: #ffffff;
	border-bottom-color: #ffffff;
	border-radius: 50%;
	width: 1.5rem;
	height: 1.5rem;
	animation: spin 0.75s linear infinite;
	opacity: 0;
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}
